Get contact events for a specific month and year
curl --request GET \
--url https://www.postable.com/api/v1/contacts/events \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.postable.com/api/v1/contacts/events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.postable.com/api/v1/contacts/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"title": "January 1st",
"text": "John Smith's Birthday",
"event_date": "2024-01-01T00:00:00+00:00",
"uuid": "123e4567-e89b-12d3-a456-426614174000"
}
]Contacts
Contact Events
Get contact events for a specific month and year
GET
/
contacts
/
events
Get contact events for a specific month and year
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Example:
2024
Required range:
1 <= x <= 12Example:
1
Response
200 - application/json
List of contact events
Formatted date of the event
Example:
"January 1st"
Description of the event (e.g. "John's Birthday")
Example:
"John Smith's Birthday"
ISO8601 formatted date-time string
Example:
"2024-01-01T00:00:00+00:00"
UUID of the contact associated with the event
Example:
"123e4567-e89b-12d3-a456-426614174000"